Could not find gem 'database_cleaner (>= 0) x86-mingw32' in the gems available on this machine.

2014-01-03 12:52 - Lajish Lakshmanan

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.4.2

Description

When I was trying to install redmine in Windows 7 system, I am getting an error 'Could not find gem 'database_cleaner (>= 0)

x86-mingw32' in the gems available on this machine.'

In don't know from where i can get above mentioned .gem file. Since I am installing it for first time, i am expecting little more help.

I followed all the steps being mentioned in 

http://www.redmine.org/projects/redmine/wiki/HowTo_Install_Redmine_in_a_sub-URI_on_Windows_with_Apache#Install-Redmine

link.

While executing

cd C:\webserver\Redmine

set RAILS_ENV=production

rake generate_session_store

I got 'Could not find gem 'database_cleaner (>= 0) x86-mingw32' in the gems available on this machine.'

Related issues:

Is duplicate of Redmine - Defect #15377: bundle install --without development... Closed

History

#1 - 2014-01-03 13:31 - Daniel Felix

- Priority changed from High to Normal

Did you run bundler? http://bundler.io/

Otherwise you can download the gems all manually from http://rubygems.org/ but this will take quite some time as you need many gems.

#2 - 2014-01-03 15:43 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Similar to #15377, database_cleaner dependency is removed in 2.5.0.

#3 - 2014-01-03 15:43 - Jean-Philippe Lang

- Is duplicate of Defect #15377: bundle install --without development test fails added

#4 - 2014-01-24 14:20 - Lajish Lakshmanan

Thanx for your  valuable suggestions. Above mentioned has been resolved.
